Deals
GB GBP

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

D-Link DGS-3130-54TS Managed L3 Gigabit Ethernet (10/100/1000) Black, Grey

D-Link · Network Switch

D-Link DGS-3130-54TS Managed L3 Gigabit Ethernet (10/100/1000) Black, Grey price in United Kingdom

Model DGS-3130-54TSMPN DGS313054TSMPN DGS-3130-54TS/SIMPN DGS-3130-54TS/BEAN 790069435300EAN 790069470011

  • Noise51.9 dB
  • Weight3.72 kg
  • ColourBlack, Grey
  • Switch typeManaged

Lowest price incl. delivery

£1,323.99

at Back to the OfficeFree deliveryIn stock

  • 1 store
  • 1 in stock
  • 1 with free delivery
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in United Kingdom

1 store · prices in GBP · updated 6 Oct 2026, 05:40 UTC

Lowest price£1,323.99at Back to the Office · free shippingGo to Back to the Office (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 1 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Back to the OfficeLowest priceD-Link 48 x 10/100/1000BASE-T ports Layer 3 Stackable Managed Gigabit Switch In stockFree shipping
    £1,323.99incl. free shipping
    Go to store : Back to the Office (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in United Kingdom

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Back to the Office£1,323.99
Go to store

Product details

Identification

Brand
D-Link
Product
DGS-3130-54TS Managed L3 Gigabit Ethernet (10/100/1000) Black, Grey
Full name
D-Link DGS-3130-54TS Managed L3 Gigabit Ethernet (10/100/1000) Black, Grey
Manufacturer part number
DGS313054TS, DGS-3130-54TS/SI, DGS-3130-54TS/B
EAN / UPC
790069435300, 790069470011

69 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL3
Quality of Service (QoS) supportYes
Web-based managementYes
ARP inspectionYes
MIB supportRFC 1213; RFC 4188; RFC 1157, 2571-2576; RFC 1907; RFC 1757, 2819; RFC 2021; RFC 1398, 1643, 1650, 2358, 2665; RFC 2674 802.1p 2233, 2863 IF MIB; RFC 2618; RFC 2620; RFC 2925; RFC 2674, 4363; RFC 1065, 1066, 1155, 1156, 2578; RFC 1215; RFC 1212; RFC 1215; RFC 1157, 2571-2576; RFC 4022; RFC 4113; RFC

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity48
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity0
Installed SFP+ modules quantity0
SFP+ module slots quantity4
Fiber optic connectorSFP+
USB 2.0 ports quantity1
Power connectorAC-in jack

Network

Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3ah, IEEE 802.3az, IEEE 802.3x
10G supportYes
Copper ethernet cabling technology10BASE-T, 10GBASE-T, 100BASE-TX, 1000BASE-T
Port mirroringYes
Flow control supportYes
Head-of-line (HOL) blockingYes
Link aggregationYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresPrivate VLAN, Voice VLAN, Tagged VLAN, MAC address-based VLAN, Port-based VLAN
Number of VLANs4000

Data transmission

MAC address table16384 entries
Switching capacity216 Gbit/s
Forwarding rate161 Mpps
Jumbo frames supportYes
Jumbo frames9000
Packet buffer memory4 MB

Security

DHCP featuresDHCP server, DHCP snooping, DHCP relay, DHCP client
Access Control List (ACL)Yes
Access Control List (ACL) rules2048
IGMP snoopingYes
AuthenticationGuest VLAN, MAC-based authentication, Port-based authentication
BPDU filtering/protectionYes
DoS attack preventionYes
Loop protectionYes
Queue scheduling algorithmsSP, WRR+SP, Weighted Round Robin (WRR)
Root protectionYes
SSH/SSL supportYes
Security algorithmsSNMP, SNMPv3, SSH-2, SSL/TLS

Multicast features

Multicast supportYes

Protocols

Routing protocolsRIP

Design

StackableYes
Product colourBlack, Grey
LED indicatorsYes
Number of fans2 fan(s)
SafetyCB, cUL, BSMI, CCC

Performance

Physical stacking (units)9
Virtual stacking (units)32
Noise level51.9 dB
Mean time between failures (MTBF)478258 h

Power

Redundant power supply (RPS) supportYes
AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)50.62 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)No

Operational conditions

Operating temperature (T-T)0 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 90%
Storage relative humidity (H-H)5 - 90%
Heat dissipation172.72 BTU/h

Weight & dimensions

Width440 mm
Depth290 mm
Height44 mm
Weight3.72 kg

Certificates

CertificationFCC A, CE A, VCCI A, IC, RCM, BSMI, CCC

More network switches deals in United Kingdom

All network switches deals